- entityDefinitions:
  - IDI_TaskCategory_CircuitBreakerPanel: '{bb0175bb-48ae-4810-be86-1df04d47def1}'
  - IDE_CircuitBreakerPanel_Definition:  '{21839685-e912-4c2b-aaef-ee8949b4757f}'
  - IDE_CircuitBreakerPanel_Panels: '{b3a3b978-116e-4f89-9c5c-913f09ec1134}'
  - IDE_CircuitBreakerPanel_Select: '{c6bd10b7-128a-4261-8627-985239158fd0}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_CircuitBreakerPanel;'
    name: 'Circuit Breaker Panel'

  - element: '&IDE_CircuitBreakerPanel_Select;'
    name: 'circuit breaker panel select subedits'
    elementContents:
    - globalIdentifier: '{1b894012-30cc-4ff4-a7c3-e2d95d2cb2e5}'
      defaultDataType: '&IDC_CircuitBreakerPanel;'

  - element: '&IDE_CircuitBreakerPanel_Definition;'
    name: 'circuit breaker panel subedits'
    elementContents:
    - globalIdentifier: '{817cd8ff-f257-4559-8c89-ef4b755922d1}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{393f3b4b-5711-4fe4-905d-1d1f8977f246}'
      defaultDataType: '&IDR_Circuit_Breaker__for__Home;'
      label: 'Location'

  - buildElementMethod: '{16874e1a-c552-4b8e-9c38-986f6559ff94}'
    hasBemProcess: '{d42af237-da5f-415d-a2c2-5f298c6ffc3e}'

  - bemProcess: '{d42af237-da5f-415d-a2c2-5f298c6ffc3e}'
    name: 'build circuit breaker panels list'
    loopExecutableReturningInstanceSet: '&IDMB_Circuit_Breaker_Panel__get__Circuit_Breakers;'

  - element: '&IDE_CircuitBreakerPanel_Panels;'
    elementContents:
    - globalIdentifier: '{e6201609-2bae-4072-a386-cf2313ecde45}'
      defaultDataType: '&IDC_CircuitBreaker;'
      label: 'Circuit Breaker'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{9ad71084-75c6-4882-a218-890e049581ec}'
      defaultDataType: '&IDA_CircuitBreakerIndex;'
      label: 'Breaker Index'
    - globalIdentifier: '{15a4cb11-0363-4ace-a7e5-da63734d6454}'
      defaultDataType: '&IDR_Circuit_Breaker__has__Circuit_Breaker_Phase;'
      label: 'Phase'
    - globalIdentifier: '{f270d902-e963-4536-82a1-9c1b9bfe86fe}'
      defaultDataType: '&IDA_Name;'
      label: 'Name'
    - globalIdentifier: '{3e6acdfa-0ebd-4703-8148-1a12547e538d}'
      defaultDataType: '&IDA_CircuitBreakerCurrentRating;'
    - globalIdentifier: '{16b6c5e0-7025-4454-b7f6-80bc81db6226}'
      defaultDataType: '&IDA_NotInUse;'